From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-util/heroic-bin/
Date: Sat, 3 Feb 2024 13:00:48 +0000 (UTC) [thread overview]
Message-ID: <1706965206.4ca0cd3bc6abd10e750f80e55bd9b3d2d786cf7d.xgqt@gentoo> (raw)
commit: 4ca0cd3bc6abd10e750f80e55bd9b3d2d786cf7d
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 3 12:01:25 2024 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Feb 3 13:00:06 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ca0cd3b
games-util/heroic-bin: bump to 2.12.1
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
games-util/heroic-bin/Manifest | 1 +
games-util/heroic-bin/heroic-bin-2.12.1.ebuild | 134 +++++++++++++++++++++++++
2 files changed, 135 insertions(+)
diff --git a/games-util/heroic-bin/Manifest b/games-util/heroic-bin/Manifest
index ca62fa8b1a00..94eff96a1cd8 100644
--- a/games-util/heroic-bin/Manifest
+++ b/games-util/heroic-bin/Manifest
@@ -2,3 +2,4 @@ DIST com.heroicgameslauncher.hgl.desktop-6dfb2758e531af693f0baffa15240f152aadd68
DIST com.heroicgameslauncher.hgl.png-6dfb2758e531af693f0baffa15240f152aadd68b 9797 BLAKE2B c6f76df4ec2fd25323f5c37e03605647ede8f8c2ed48cfbb8af11aad22ae90182d3678b943633b46a2d8dfb0c1cbd1a275b6c62dde238b9b0f68cbafb4bf3697 SHA512 68e9881fb4f123008398409825aa8cf70cec34365a23adb1234f7c054a14f40d159e7d8912cfedac0bb2b12f1d3c3c980469c2fca9735d4bc06bd4074aecc7e3
DIST heroic-bin-2.11.0.tar.xz 103219320 BLAKE2B 9988ea1ae6ec4bd7d7b93d6d39cacf3b4bb954688109f2d111e90c77c64677182140f5d8d7075e756893bc17b546ec95d4813a9fe2b802542d9458ee0d06d490 SHA512 364a9300cb1e026470ffe69052ecb1fa9936811c3c84a89338929c51774eaf421e326463b359b6e069c4499a074f05458937a80b66837ede7387e3b9ccee35b3
DIST heroic-bin-2.12.0.tar.xz 105164628 BLAKE2B 6008967e943f843cb1d9b55db06c7a150bfdaf3f90b166bc2e133f044ac58e56b2c03efd4dfc1971b24d0303120a662ca655ae7b299ebdd890710d311724793c SHA512 c80c9130e07dedbe7573778acd39cf30f121076bd03705173d50617aedeb74154ead1c8959d7d9ba5cb51577488e078bf594e0068a2f251dc8b78002465bb369
+DIST heroic-bin-2.12.1.tar.xz 105206396 BLAKE2B 66c6a8889b7bcd91ee0d274337a3bb8adb48b74d7c4537b78ba98f4254c24e143503f8697415eca5fbffd6a1b0744c07a458f4b5aeb1e03029eba0b66d316403 SHA512 06dd78477e5288fccca9418cb6cb20f4491ce573f6948f87732f5eb49520259b699f41b0931ba3cf8d740df4b25c25989e0e4f0633e464b91099b348c40abef0
diff --git a/games-util/heroic-bin/heroic-bin-2.12.1.ebuild b/games-util/heroic-bin/heroic-bin-2.12.1.ebuild
new file mode 100644
index 000000000000..658baf2dc193
--- /dev/null
+++ b/games-util/heroic-bin/heroic-bin-2.12.1.ebuild
@@ -0,0 +1,134 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+APP_NAME="${P/-bin/}"
+APP_URI="https://github.com/Heroic-Games-Launcher/HeroicGamesLauncher"
+APP_RESOURCES_COMMIT=6dfb2758e531af693f0baffa15240f152aadd68b
+
+CHROMIUM_LANGS="
+ af am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu he hi
+ hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv
+ sw ta te th tr uk ur vi zh-CN zh-TW
+"
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit chromium-2 desktop python-single-r1 xdg
+
+DESCRIPTION="GOG and Epic Games Launcher for Linux"
+HOMEPAGE="https://heroicgameslauncher.com/
+ https://github.com/Heroic-Games-Launcher/HeroicGamesLauncher/"
+SRC_URI="
+ ${APP_URI}/releases/download/v${PV}/heroic-${PV}.tar.xz
+ -> ${P}.tar.xz
+
+ ${APP_URI}/raw/${APP_RESOURCES_COMMIT}/flatpak/com.heroicgameslauncher.hgl.desktop
+ -> com.heroicgameslauncher.hgl.desktop-${APP_RESOURCES_COMMIT}
+
+ ${APP_URI}/raw/${APP_RESOURCES_COMMIT}/flatpak/com.heroicgameslauncher.hgl.png
+ -> com.heroicgameslauncher.hgl.png-${APP_RESOURCES_COMMIT}
+"
+S="${WORKDIR}/${APP_NAME}"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ app-accessibility/at-spi2-core
+ app-arch/brotli
+ app-arch/bzip2
+ dev-libs/expat
+ dev-libs/fribidi
+ dev-libs/glib
+ dev-libs/gmp
+ dev-libs/libffi
+ dev-libs/libpcre2
+ dev-libs/libtasn1
+ dev-libs/nettle
+ dev-libs/nspr
+ dev-libs/nss
+ dev-libs/wayland
+ media-fonts/freefont
+ media-gfx/graphite2
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/harfbuzz
+ media-libs/libepoxy
+ media-libs/libjpeg-turbo
+ media-libs/libpng
+ media-libs/mesa
+ media-video/ffmpeg
+ net-dns/libidn2
+ net-libs/gnutls
+ net-print/cups
+ sys-apps/dbus
+ sys-libs/glibc
+ sys-libs/zlib
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libdrm
+ x11-libs/libxcb
+ x11-libs/libxkbcommon
+ x11-libs/pango
+ x11-libs/pixman
+"
+
+QA_PREBUILT=".*"
+
+src_unpack() {
+ unpack "${P}.tar.xz"
+}
+
+src_configure() {
+ default
+
+ chromium_suid_sandbox_check_kernel_config
+}
+
+src_prepare() {
+ default
+
+ cd locales || die
+ chromium_remove_language_paks
+}
+
+src_install() {
+ local app_root=/opt/${APP_NAME}
+ local app_dest="${ED}"/${app_root}
+
+ dodoc LICENSE.*
+ rm LICENSE.* || die
+
+ dodir "${app_root%/*}"
+ cp -r "${S}" "${app_dest}" || die
+
+ dosym -r "${PYTHON}" \
+ "${app_root}"/resources/app.asar.unpacked/node_modules/register-scheme/build/node_gyp_bins/python3
+
+ find "${app_dest}" -type f -name "*.a" -exec rm {} + || die
+
+ dosym -r "${app_root}"/heroic /usr/bin/heroic-run
+
+ # Install resources: desktop file and icon.
+ newmenu "${DISTDIR}"/com.heroicgameslauncher.hgl.desktop-${APP_RESOURCES_COMMIT} \
+ com.heroicgameslauncher.hgl.desktop
+ newicon "${DISTDIR}"/com.heroicgameslauncher.hgl.png-${APP_RESOURCES_COMMIT} \
+ com.heroicgameslauncher.hgl.png
+}
next reply other threads:[~2024-02-03 13:00 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-02-03 13:00 Maciej Barć [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-25 8:02 [gentoo-commits] repo/gentoo:master commit in: games-util/heroic-bin/ Bernard Cafarelli
2024-09-25 8:02 Bernard Cafarelli
2024-08-13 9:38 Bernard Cafarelli
2024-04-11 21:50 Bernard Cafarelli
2024-04-09 7:24 Bernard Cafarelli
2024-04-09 7:24 Bernard Cafarelli
2024-04-09 7:24 Bernard Cafarelli
2024-04-08 11:24 Bernard Cafarelli
2024-04-03 8:14 Bernard Cafarelli
2024-04-03 8:14 Bernard Cafarelli
2024-03-11 11:21 Maciej Barć
2024-03-11 11:21 Maciej Barć
2024-02-19 15:30 Maciej Barć
2024-02-19 15:30 Maciej Barć
2024-02-03 13:00 Maciej Barć
2024-01-08 19:22 Maciej Barć
2023-12-27 1:20 Maciej Barć
2023-12-04 8:43 Maciej Barć
2023-11-07 18:50 Maciej Barć
2023-10-18 17:00 Maciej Barć
2023-07-01 16:13 Maciej Barć
2023-07-01 13:57 Maciej Barć
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1706965206.4ca0cd3bc6abd10e750f80e55bd9b3d2d786cf7d.xgqt@gentoo \
--to=xgqt@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox